package com.ss.android.ugc.aweme.ml.api;

import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.ml.model.PreloadStrategyV2Config;
import com.ss.android.ugc.aweme.video.preload.model.PreloadStrategyConfig;
import java.util.List;

public final class SmartFeedPreloadServiceDefault extends SmartFeedPreloadService {
    static {
        Covode.recordClassIndex(92873);
    }

    public final void checkAndInit() {
    }

    public final boolean enable() {
        return false;
    }

    public final void ensureEvaluatorAvailable() {
    }

    public final PreloadStrategyConfig getCurrentSmartPreloadStrategyConfig() {
        return null;
    }

    public final String getPredictLabelResult() {
        return null;
    }

    public final float getPredictProbabilityResult() {
        return -1.0f;
    }

    public final List<PreloadStrategyConfig> getSmartPreloadStrategyExperimentValue() {
        return null;
    }

    public final PreloadStrategyV2Config getSmartPreloadStrategyV2ExperimentValue() {
        return null;
    }

    public final void startSmartPreloadV2Judge(Aweme aweme) {
    }
}
